Get IP address details
Visibility: internal ยท public ( OpenAPI Custom Extension: x-visibility )
"IPAM API" Retrieve IP address allocation details.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication using OAuth2/OIDC tokens
In: header
Path Parameters
region*string
Region identifier
project*string
Project identifier
id*string
Unique address identifier
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.k0rdent.ai/v1/regions/string/projects/string/compute/addresses/string"{
"selfLink": "/v1/regions/us-texas-1/projects/project-x9y8z7/compute/addresses/address-j1k2l3",
"uid": "07cc67f4-45d6-494b-adac-09b5cbc7e2b5",
"id": "address-j1k2l3",
"displayName": "string",
"description": "string",
"ipAddress": "string",
"ipVersion": "IPV4",
"addressType": "EXTERNAL",
"network": "http://example.com",
"subnetwork": "http://example.com",
"status": "string",
"createdAt": "2019-08-24T14:15:22Z"
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}{
"error": {
"code": 0,
"message": "string",
"details": [
{}
]
}
}How is this guide?